Subject: [regext] I-D Action: draft-ietf-regext-org-09.txt

From: [email-masked]
Date: Sun, 19 Aug 2018 19:49:51 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Registration Protocols Extensions WG of the IETF.

        Title           : Extensible Provisioning Protocol (EPP) Organization Mapping
        Authors         : Linlin Zhou
                          Ning Kong
                          Guiqing Zhou
                          Jiankang Yao
                          James Gould
	Filename        : draft-ietf-regext-org-09.txt
	Pages           : 45
	Date            : 2018-08-19

Abstract:
   This document describes an Extensible Provisioning Protocol (EPP)
   mapping for provisioning and management of organization objects
   stored in a shared central repository.  Specified in Extensible
   Markup Language (XML), this extended mapping is applied to provide
   additional features required for the provisioning of organizations.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-regext-org/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-regext-org-09
https://datatracker.ietf.org/doc/html/draft-ietf-regext-org-09

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-regext-org-09

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Linlin Zhou" <[email-masked]>
Date: Mon, 20 Aug 2018 12:12:04 +0800

Hi,
The org drafts have been submitted to address the comments discussed before. Thanks for all your comments and explanations. 
1. comment for changing the name of <org:roid> to "roID"
We reread RFC5730 and found that <obj:roid> has been already defined, so we did not change the name of <org:roid> to "roID" to keep consistent with RFC5730. 
2. update "epp"-scoped XML namespace
James mentioned this on the mailing list, so we have included this update in this version.

Regards,
Linlin

[email-masked]
 
From: internet-drafts
Date: 2018-08-20 10:49
To: [email-masked]
CC: regext
Subject: [regext] I-D Action: draft-ietf-regext-org-09.txt

 
Abstract:

 

 
_______________________________________________
regext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/regext

---

From: "Gould, James" <[email-masked]>
Date: Mon, 20 Aug 2018 12:19:53 +0000

Linlin,

For “2. update "epp"-scoped XML namespace”, you need to change the namespace “urn:ietf:params:xml:ns:org-1.0” to “urn:ietf:params:xml:ns:epp:org-1.0” in all of the examples and the XML schema in section 5.  I recommend doing a global replace of  “urn:ietf:params:xml:ns:org-1.0” with “urn:ietf:params:xml:ns:epp:org-1.0” in the draft.

Thanks,

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>

From: regext <[email-masked]> on behalf of Linlin Zhou <[email-masked]>
Date: Monday, August 20, 2018 at 12:12 AM
To: Adam Roach <[email-masked]>, regext <[email-masked]>
Subject: [EXTERNAL] Re: [regext] I-D Action: draft-ietf-regext-org-09.txt

Hi,

Regards,
Linlin
________________________________
[email-masked]

From: internet-drafts<mailto:[email-masked]>
Date: 2018-08-20 10:49
To: [email-masked]<mailto:[email-masked]>
CC: regext<mailto:[email-masked]>
Subject: [regext] I-D Action: draft-ietf-regext-org-09.txt

Abstract:

---

From: "Gould, James" <[email-masked]>
Date: Mon, 20 Aug 2018 12:31:09 +0000

Linlin,

In looking at the diff between draft-ietf-regext-org-08 and draft-ietf-regext-org-09, I noticed that maxOccurs=”5” was added to the XML schema checkType reason element.  Was this intentional, since this means that the check reason would be morphed from an optional element into an optional list of up to 5 reasons?  My recommendation is to remove the newly added maxOccurs=”5” from the checkType to ensure that the reason is consistent with the other EPP mappings by being an optional single element.

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Hi,

Regards,
Linlin

Abstract:

---

From: "Linlin Zhou" <[email-masked]>
Date: Tue, 21 Aug 2018 09:36:00 +0800

James,
Yes, you are right. I  only focused on section 7 and forgot to replace the namespace in other parts of the document. I'll correct them. Thank you.

Regards,
Linlin

[email-masked]
 
From: Gould, James
Date: 2018-08-20 20:19
To: Linlin Zhou; Adam Roach; regext
Subject: Re: Re: [regext] I-D Action: draft-ietf-regext-org-09.txt
Linlin,
 
For “2. update "epp"-scoped XML namespace”, you need to change the namespace “urn:ietf:params:xml:ns:org-1.0” to “urn:ietf:params:xml:ns:epp:org-1.0” in all of the examples and the XML schema in section 5.  I recommend doing a global replace of  “urn:ietf:params:xml:ns:org-1.0” with “urn:ietf:params:xml:ns:epp:org-1.0” in the draft. Thanks,
  
—
 
JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com 

Hi,
 
Regards,
Linlin

[email-masked]
 
From: internet-drafts
Date: 2018-08-20 10:49

 
Abstract:

---

From: "Linlin Zhou" <[email-masked]>
Date: Tue, 21 Aug 2018 10:27:07 +0800

Hi James,
This was one of the comments suggested by our AD. He asked us to give a maxOccurs value for "reason" element. I found the discussions on the mailing list, please see below,

---------------------------------------------------------------------------
 
§5, Page 34:
 
>   <complexType name="checkType">
>     <sequence>
>       <element name="id" type="contact:checkIDType"/>
>       <element name="reason" type="eppcom:reasonType"
>        minOccurs="0"/>
>     </sequence>
>   </complexType>
 
The "reason" element needs to have a "maxOccurs" of greater than one
(presumably "unbounded") to allow for the conveyance of reasons in multiple
languages.

[Linlin] There is no limit for the "maxOccurs".. In RFC 5733, there is only a "minOccurs" value. Do we need to define this explicitly?

Yes. The default value for both minOccurs and maxOccurs is "1" -- if you want to allow more than one instance of an element, you need to indicate a maxOccurs.

Quickly glancing at RFC 5733: if the intention in that document is to allow more than one <reason> element, then its definition is also in error.

So I checked our system and give a suggested value for "5". We should keep it or remove it, need your comments.

Regards,
Linlin

[email-masked]
 
From: Gould, James
Date: 2018-08-20 20:31
To: Linlin Zhou; Adam Roach; regext
Subject: Re: [regext] I-D Action: draft-ietf-regext-org-09.txt
Linlin,

—
 
JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com 

Hi,
 
Regards,
Linlin

[email-masked]
 
From: internet-drafts
Date: 2018-08-20 10:49

 
Abstract:

---

From: "Gould, James" <[email-masked]>
Date: Tue, 21 Aug 2018 03:17:28 +0000

Linlin,

The max occurs should be one which is the default value.  We do not want to change the reason from an optional individual element into a optional list of up to 5 reasons.  This would be inconsistent with the other EPP RFCs.

Jim

Sent from my iPhone

On Aug 20, 2018, at 10:28 PM, Linlin Zhou <[email-masked]<mailto:[email-masked]>> wrote:

Hi James,

Regards,
Linlin
________________________________
[email-masked]<mailto:[email-masked]>

From: Gould, James<mailto:[email-masked]>
Date: 2018-08-20 20:31
To: Linlin Zhou<mailto:[email-masked]>; Adam Roach<mailto:[email-masked]>; regext<mailto:[email-masked]>
Subject: Re: [regext] I-D Action: draft-ietf-regext-org-09.txt
Linlin,

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

http://Verisign.com<http://verisigninc.com/>

From: regext <[email-masked]<mailto:[email-masked]>> on behalf of Linlin Zhou <[email-masked]<mailto:[email-masked]>>
Date: Monday, August 20, 2018 at 12:12 AM
To: Adam Roach <[email-masked]<mailto:[email-masked]>>, regext <[email-masked]<mailto:[email-masked]>>
Subject: [EXTERNAL] Re: [regext] I-D Action: draft-ietf-regext-org-09.txt

Hi,

Regards,
Linlin
________________________________
[email-masked]<mailto:[email-masked]>

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at http://tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://http://ftp.ietf.org/internet-drafts/

_______________________________________________
regext mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/regext

---

From: "Linlin Zhou" <[email-masked]>
Date: Tue, 21 Aug 2018 11:46:48 +0800

Dear AD,
If we keep it consistent with other EPP RFCs and remove the maxOcuurs value, what's your opinion?

Regards
Linlin

[email-masked]
 
From: Gould, James
Date: 2018-08-21 11:17
To: Linlin Zhou
CC: Adam Roach; regext

Jim

Sent from my iPhone

On Aug 20, 2018, at 10:28 PM, Linlin Zhou <[email-masked]> wrote:

Hi James,

 

Regards,
Linlin

[email-masked]
 
From: Gould, James
Date: 2018-08-20 20:31

—
 
JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

http://Verisign.com 

Hi,
 
Regards,
Linlin

[email-masked]
 
From: internet-drafts
Date: 2018-08-20 10:49

 
Abstract:

---

From: Adam Roach <[email-masked]>
Date: Tue, 21 Aug 2018 13:06:14 -0500

If that's what the working group intends, then it's okay to move forward 
with the document. It's rather unlike the localization approached I'm 
used to seeing, in which multiple copies of a message are available, 
each in its own language, which is why I commented on it.

/a

On 8/20/18 10:46 PM, Linlin Zhou wrote:
> ------------------------------------------------------------------------
> [email-masked]
>
>     *From:* Gould, James <mailto:jgould=[email-masked]>
>     *Date:* 2018-08-21 11:17
>     *To:* Linlin Zhou <mailto:[email-masked]>
>     *CC:* Adam Roach <mailto:[email-masked]>; regext
>     <mailto:[email-masked]>
>     *Subject:* Re: [regext] I-D Action: draft-ietf-regext-org-09.txt
>     Linlin,
>
>     The max occurs should be one which is the default value.  We do
>     not want to change the reason from an optional individual element
>     into a optional list of up to 5 reasons.  This would be
>     inconsistent with the other EPP RFCs.
>
>     Jim
>
>     Sent from my iPhone
>
>>     This was one of the comments suggested by our AD. He asked us to
>>     give a maxOccurs value for "reason" element. I found the
>>     discussions on the mailing list, please see below,
>>
>>>>             [Linlin] There is no limit for the "maxOccurs".. In RFC
>>>>             5733, there is only a "minOccurs" value. Do we need to
>>>>             define this explicitly?
>>>>
>>>
>>>         Yes. The default value for both minOccurs and maxOccurs is
>>>         "1" -- if you want to allow more than one instance of an
>>>         element, you need to indicate a maxOccurs.
>>>
>>>         Quickly glancing at RFC 5733: if the intention in that
>>>         document is to allow more than one <reason> element, then
>>>         its definition is also in error.
>>>
>>>
>>>         So I checked our system and give a suggested value for "5".
>>>         We should keep it or remove it, need your comments.
>>>
>>     Regards,
>>     Linlin
>>     ------------------------------------------------------------------------
>>     [email-masked] <mailto:[email-masked]>
>>
>>         *From:* Gould, James <mailto:[email-masked]>
>>         *Date:* 2018-08-20 20:31
>>         *To:* Linlin Zhou <mailto:[email-masked]>; Adam Roach
>>         <mailto:[email-masked]>; regext <mailto:[email-masked]>
>>         *Subject:* Re: [regext] I-D Action: draft-ietf-regext-org-09.txt
>>
>>         Linlin,
>>
>>         In looking at the diff between draft-ietf-regext-org-08 and
>>         draft-ietf-regext-org-09, I noticed that maxOccurs=”5” was
>>         added to the XML schema checkType reason element.  Was this
>>         intentional, since this means that the check reason would be
>>         morphed from an optional element into an optional list of up
>>         to 5 reasons?  My recommendation is to remove the newly added
>>         maxOccurs=”5” from the checkType to ensure that the reason is
>>         consistent with the other EPP mappings by being an optional
>>         single element.
>>
>>         —
>>
>>         JG
>>
>>
>>
>>         *James Gould
>>         *Distinguished Engineer
>>         [email-masked]
>>
>>         703-948-3271
>>         12061 Bluemont Way
>>         Reston, VA 20190
>>
>>         http://Verisign.com <http://verisigninc.com/>
>>
>>         *From: *regext <[email-masked]
>>         <mailto:[email-masked]>> on behalf of Linlin Zhou
>>         <[email-masked] <mailto:[email-masked]>>
>>         *Date: *Monday, August 20, 2018 at 12:12 AM
>>         *To: *Adam Roach <[email-masked]
>>         <mailto:[email-masked]>>, regext <[email-masked]
>>         <mailto:[email-masked]>>
>>         *Subject: *[EXTERNAL] Re: [regext] I-D Action:
>>         draft-ietf-regext-org-09.txt
>>
>>         Hi,
>>
>>         The org drafts have been submitted to address the comments
>>         discussed before. Thanks for all your comments and explanations.
>>
>>         We reread RFC5730 and found that <obj:roid> has been already
>>         defined, so we did not change the name of <org:roid> to
>>         "roID" to keep consistent with RFC5730.
>>
>>         ------------------------------------------------------------------------
>>
>>         [email-masked] <mailto:[email-masked]>
>>
>>             *From:*internet-drafts <mailto:[email-masked]>
>>
>>             *Date:* 2018-08-20 10:49
>>
>>             *To:[email-masked] <mailto:[email-masked]>
>>
>>             *CC:*regext <mailto:[email-masked]>
>>
>>             *Subject:* [regext] I-D Action: draft-ietf-regext-org-09.txt
>>
>>             until the htmlized version and diff are available at
>>             http://tools.ietf.org <http://tools.ietf.org>.
>>
>>             [email-masked] <mailto:[email-masked]>
>>

---

From: "Gould, James" <[email-masked]>
Date: Tue, 21 Aug 2018 19:00:09 +0000

Adam,

The language used in EPP is negotiated in the EPP Greeting and EPP Login of RFC 5730.  The server includes the list of supported languages in the EPP Greeting, and the client selects the language to use for the session in the EPP Login.  All text responses returned by the server are provided using the single language that was negotiated.   The <org:reason> element includes the human-readable reason in the negotiated language using the “lang” attribute, which has the default value of “en” (English).

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

From: Adam Roach <[email-masked]>
Date: Tuesday, August 21, 2018 at 2:07 PM
To: Linlin Zhou <[email-masked]>, James Gould <[email-masked]>
Cc: regext <[email-masked]>
Subject: [EXTERNAL] Re: [regext] I-D Action: draft-ietf-regext-org-09.txt

If that's what the working group intends, then it's okay to move forward with the document. It's rather unlike the localization approached I'm used to seeing, in which multiple copies of a message are available, each in its own language, which is why I commented on it.

/a

Regards
Linlin

From: Gould, James<mailto:jgould=[email-masked]>
Date: 2018-08-21 11:17
To: Linlin Zhou<mailto:[email-masked]>
CC: Adam Roach<mailto:[email-masked]>; regext<mailto:[email-masked]>
Subject: Re: [regext] I-D Action: draft-ietf-regext-org-09.txt
Linlin,

Jim
Sent from my iPhone

Regards,
Linlin

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Hi,

Regards,
Linlin

Abstract:

Internet-Drafts are also available by anonymous FTP at:
ftp://http://ftp.ietf.org/internet-drafts/<ftp://http:/ftp.ietf.org/internet-drafts/>

---

From: Adam Roach <[email-masked]>
Date: Tue, 21 Aug 2018 14:14:26 -0500

James --

Thanks for the clarification, and I apologize for the extra noise caused 
by my confusion here.

/a

On 8/21/18 2:00 PM, Gould, James wrote:
>
> Adam,
>
> The language used in EPP is negotiated in the EPP Greeting and EPP 
> Login of RFC 5730.  The server includes the list of supported 
> languages in the EPP Greeting, and the client selects the language to 
> use for the session in the EPP Login.  All text responses returned by 
> the server are provided using the single language that was 
> negotiated.   The <org:reason> element includes the human-readable 
> reason in the negotiated language using the “lang” attribute, which 
> has the default value of “en” (English).
>
> —
>
> JG
>
>
>
> *James Gould
> *Distinguished Engineer
> [email-masked]
>
> 703-948-3271
> 12061 Bluemont Way
> Reston, VA 20190
>
> Verisign.com <http://verisigninc.com/>
>
> *From: *Adam Roach <[email-masked]>
> *Date: *Tuesday, August 21, 2018 at 2:07 PM
> *To: *Linlin Zhou <[email-masked]>, James Gould <[email-masked]>
> *Cc: *regext <[email-masked]>
> If that's what the working group intends, then it's okay to move 
> forward with the document. It's rather unlike the localization 
> approached I'm used to seeing, in which multiple copies of a message 
> are available, each in its own language, which is why I commented on it.
>
> /a
>
>         *From:*Gould, James <mailto:jgould=[email-masked]>
>
>         *Date:* 2018-08-21 11:17
>
>         *To:*Linlin Zhou <mailto:[email-masked]>
>
>         *CC:*Adam Roach <mailto:[email-masked]>; regext
>         <mailto:[email-masked]>
>
>         The max occurs should be one which is the default value.  We
>         do not want to change the reason from an optional individual
>         element into a optional list of up to 5 reasons.  This would
>         be inconsistent with the other EPP RFCs.
>
>         Jim
>
>         Sent from my iPhone
>
>
>             This was one of the comments suggested by our AD. He asked
>             us to give a maxOccurs value for "reason" element. I found
>             the discussions on the mailing list, please see below,
>
>                             [Linlin] There is no limit for the
>                             "maxOccurs".. In RFC 5733, there is only a
>                             "minOccurs" value. Do we need to define
>                             this explicitly?
>
>
>                     Yes. The default value for both minOccurs and
>                     maxOccurs is "1" -- if you want to allow more than
>                     one instance of an element, you need to indicate a
>                     maxOccurs.
>
>                     Quickly glancing at RFC 5733: if the intention in
>                     that document is to allow more than one <reason>
>                     element, then its definition is also in error.
>
>                     So I checked our system and give a suggested value
>                     for "5". We should keep it or remove it, need your
>                     comments.
>
>             Regards,
>
>             Linlin
>
>                 *From:*Gould, James <mailto:[email-masked]>
>
>                 *Date:* 2018-08-20 20:31
>
>                 *To:*Linlin Zhou <mailto:[email-masked]>; Adam
>                 Roach <mailto:[email-masked]>; regext
>                 <mailto:[email-masked]>
>
>                 In looking at the diff between
>                 draft-ietf-regext-org-08 and draft-ietf-regext-org-09,
>                 I noticed that maxOccurs=”5” was added to the XML
>                 schema checkType reason element.  Was this
>                 intentional, since this means that the check reason
>                 would be morphed from an optional element into an
>                 optional list of up to 5 reasons?  My recommendation
>                 is to remove the newly added maxOccurs=”5” from the
>                 checkType to ensure that the reason is consistent with
>                 the other EPP mappings by being an optional single
>                 element.
>
>                 —
>
>                 JG
>
>
>
>                 *James Gould
>                 *Distinguished Engineer
>                 [email-masked]
>
>                 703-948-3271
>                 12061 Bluemont Way
>                 Reston, VA 20190
>
>                 <mailto:[email-masked]>> on behalf of Linlin
>                 Zhou <[email-masked] <mailto:[email-masked]>>
>                 The org drafts have been submitted to address the
>                 comments discussed before. Thanks for all your
>                 comments and explanations.
>
>                 We reread RFC5730 and found that <obj:roid> has been
>                 already defined, so we did not change the name
>                 of <org:roid> to "roID" to keep consistent with RFC5730.
>
>                     <ftp://http:/ftp.ietf.org/internet-drafts/>
>

---

From: "Linlin Zhou" <[email-masked]>
Date: Wed, 22 Aug 2018 16:29:51 +0800

Thanks for all the comments and explanations. I'll update the drafts as soon as possible.

Regards,
Linlin

[email-masked]
 
From: Adam Roach
Date: 2018-08-22 03:14
To: Gould, James; Linlin Zhou
CC: regext
Subject: Re: [regext] I-D Action: draft-ietf-regext-org-09.txt
James --

Thanks for the clarification, and I apologize for the extra noise caused by my confusion here.

/a

  
—
 
JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com 

 
/a

Regards
Linlin

[email-masked]
 
From: Gould, James
Date: 2018-08-21 11:17
To: Linlin Zhou
CC: Adam Roach; regext

Jim
Sent from my iPhone

 

 

 
Regards,
Linlin

[email-masked]
 
From: Gould, James
Date: 2018-08-20 20:31

—
 
JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

http://Verisign.com 

Hi,
 
Regards,
Linlin

[email-masked]
 
From: internet-drafts
Date: 2018-08-20 10:49

 
Abstract: